package stonehill.edu.DatabaseConsoleAsORM;

import java.sql.Connection;
import java.sql.Driver;
import java.sql.DriverManager;
import java.util.ArrayList;

public abstract class Dao {
	
	private String driverName    = "oracle.jdbc.driver.OracleDriver";
	private String connectionURL = "jdbc:oracle:oci8:scott/tiger@CS325";
	private Driver driver;
	protected Connection connection;
 
 /////////////////////////////////////////////////////////////
 // CONNECT TO DATABASE
 /////////////////////////////////////////////////////////////
 protected void connectToDatabase()
 {
   try {
     System.out.println("Trying to connect to database...");

     // Load the database specific vendor driver
     driver = (java.sql.Driver) Class.forName(driverName).newInstance();

     // Connect to the database
     connection = DriverManager.getConnection(connectionURL);

     System.out.println("Connection successful!");
   }
   catch (Exception e) {
     e.printStackTrace();
   }
 }
 
 /////////////////////////////////////////////////////////////
 // DISCONNECT FROM DATABASE.
 /////////////////////////////////////////////////////////////
 protected void disconnectFromDatabase()
 {
   try {
     System.out.println("Trying to disconnect from database...");
     connection.close();
     System.out.println("Disconnection successful!");
   }
   catch (Exception e) {
     e.printStackTrace();
   }
 }
	
	public abstract void delete(Object value); 
	public abstract void insert(Object value);
	public abstract ArrayList<Object> selectAll();
	public abstract void update(Object value);
	protected abstract int indexOf(ArrayList<Object> list, Object value);

}