package stonehill.edu.DatabaseConsoleAsORM;

import java.sql.*;
import java.util.ArrayList;
import java.util.List;
public class DatabaseManipulator {
 

  /////////////////////////////////////////////////////////////
  // SELECT EXAMPLE
  /////////////////////////////////////////////////////////////
  public void selectExample() throws Exception
  {
    AccountDao dao = new AccountDaoImpl(new DatabaseConnectionSource());
    
    List<Account> list = dao.queryForAll();
    
    for (int i=0; i<list.size(); i++)
    {
    	System.out.println((Account) list.get(i));
    }
  }

 /////////////////////////////////////////////////////////////
 // INSERT EXAMPLE
 /////////////////////////////////////////////////////////////
 public void insertExample() throws Exception
 {
    System.out.println(">>>INSERTING RECORD<<<");
    
    AccountDao dao = new AccountDaoImpl(new DatabaseConnectionSource());
    Account account = new Account("Becky Dugan", "Wayland, MA 01778", 32, 100000);
    dao.create(account);
 }

 /////////////////////////////////////////////////////////////
 // UPDATE EXAMPLE
 /////////////////////////////////////////////////////////////
 public void updateExample() throws Exception
 {
		AccountDao dao = new AccountDaoImpl(new DatabaseConnectionSource());

		List<Account> list = dao.queryForAll();

		for (int i = 0; i < list.size(); i++) {
			Account account = (Account) list.get(i);
			account.setAmount(account.getAmount() * 1.1);
			dao.update(account);
		}
 }

/////////////////////////////////////////////////////////////
// DELETE EXAMPLE
/////////////////////////////////////////////////////////////
 public void deleteExample() throws Exception
 {
		AccountDao dao = new AccountDaoImpl(new DatabaseConnectionSource());
		Account account = dao.queryForId(Integer.toString(32));
		dao.delete(account);
 }

}
